package beilv.voucher.mapper;

import java.util.List;

import beilv.voucher.domain.BeilvVoucher;

/**
 * 代金券Mapper接口
 *
 * @author ruoyi
 * @date 2025-11-20
 */
public interface BeilvVoucherMapper {
    /**
     * 查询代金券
     *
     * @param id 代金券主键
     * @return 代金券
     */
    public BeilvVoucher selectBeilvVoucherById(Long id);

    /**
     * 查询代金券列表
     *
     * @param beilvVoucher 代金券
     * @return 代金券集合
     */
    public List<BeilvVoucher> selectBeilvVoucherList(BeilvVoucher beilvVoucher);

    /**
     * 新增代金券
     *
     * @param beilvVoucher 代金券
     * @return 结果
     */
    public int insertBeilvVoucher(BeilvVoucher beilvVoucher);

    /**
     * 修改代金券
     *
     * @param beilvVoucher 代金券
     * @return 结果
     */
    public int updateBeilvVoucher(BeilvVoucher beilvVoucher);

    /**
     * 删除代金券
     *
     * @param id 代金券主键
     * @return 结果
     */
    public int deleteBeilvVoucherById(Long id);

    /**
     * 批量删除代金券
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBeilvVoucherByIds(String[] ids);

}
